Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Images Class Reference

Contains IDs for different (debug) image types as well as a method to output their names. More...

`#include <DebugImages.h>`

List of all members.

## Public Types
enum | ImageID { noImage, rawImage, segmentedImage1, segmentedImage2, segmentedImage3, classificationY, classificationU, classificationV, colorFrequency, imageProcessorGeneral, imageProcessorScanLines, imageProcessorBall, imageProcessorGoal1, imageProcessorGoal2, imageProcessorFlags, imageProcessorPlayers, imageProcessorGradients, imageMotionRecognition, imageProcessorRobotDetection, numberOfImageIDs, image = numberOfImageIDs, segmentedImage, correctedImage, correctedSegmentedImage, imageProcessorGoals = imageProcessorGoal1 }
| IDs for images. More...
enum | ImageID { noImage, rawImage, segmentedImage1, segmentedImage2, segmentedImage3, classificationY, classificationU, classificationV, colorFrequency, imageProcessorGeneral, imageProcessorScanLines, imageProcessorBall, imageProcessorGoal1, imageProcessorGoal2, imageProcessorFlags, imageProcessorPlayers, imageProcessorGradients, imageMotionRecognition, numberOfImageIDs, image = numberOfImageIDs, segmentedImage, correctedImage, correctedSegmentedImage, imageProcessorGoals = imageProcessorGoal1 }
| IDs for images. More...
## Static Public Member Functions
char * | getImageIDName (ImageID imageID)
| Returns a description for an indexed image id.
bool | getDebugKeyID (enum ImageID imageID, DebugKeyTable::debugKeyID &debugKeyID)
char * | getImageIDName (ImageID imageID)
| Returns a description for an indexed image id.
bool | getDebugKeyID (enum ImageID imageID, DebugKeyTable::debugKeyID &debugKeyID)

## Detailed Description

Contains IDs for different (debug) image types as well as a method to output their names.

Definition at line 188 of file DebugImages.h.

## Member Enumeration Documentation

enum Images::ImageID

  | IDs for images. enter new image IDs here and add the corresponding string in getImageIDName. Enumeration values:
  noImage |
  rawImage |
  segmentedImage1 |
  segmentedImage2 |
  segmentedImage3 |
  classificationY |
  classificationU |
  classificationV |
  colorFrequency |
  imageProcessorGeneral |
  imageProcessorScanLines |
  imageProcessorBall |
  imageProcessorGoal1 |
  imageProcessorGoal2 |
  imageProcessorFlags |
  imageProcessorPlayers |
  imageProcessorGradients |
  imageMotionRecognition |
  imageProcessorRobotDetection |
  numberOfImageIDs |
  image |
  segmentedImage |
  correctedImage |
  correctedSegmentedImage |
  imageProcessorGoals |
Definition at line 195 of file DebugImages.h.

enum Images::ImageID

  | IDs for images. enter new image IDs here and add the corresponding string in getImageIDName. Enumeration values:
  noImage |
  rawImage |
  segmentedImage1 |
  segmentedImage2 |
  segmentedImage3 |
  classificationY |
  classificationU |
  classificationV |
  colorFrequency |
  imageProcessorGeneral |
  imageProcessorScanLines |
  imageProcessorBall |
  imageProcessorGoal1 |
  imageProcessorGoal2 |
  imageProcessorFlags |
  imageProcessorPlayers |
  imageProcessorGradients |
  imageMotionRecognition |
  numberOfImageIDs |
  image |
  segmentedImage |
  correctedImage |
  correctedSegmentedImage |
  imageProcessorGoals |
Definition at line 360 of file DebugImages2.h.

## Member Function Documentation

char* Images::getImageIDName | ( | ImageID | imageID | ) | `[inline, static]`

| Returns a description for an indexed image id. Add descriptions for new image ids here. Definition at line 229 of file DebugImages.h. References imageMotionRecognition, imageProcessorGradients, imageProcessorPlayers, and imageProcessorRobotDetection.

bool Images::getDebugKeyID | ( | enum ImageID | imageID,
|  | DebugKeyTable::debugKeyID & | debugKeyID
| ) | `[inline, static]`

| Definition at line 256 of file DebugImages.h. References imageMotionRecognition, and imageProcessorRobotDetection.

char* Images::getImageIDName | ( | ImageID | imageID | ) | `[inline, static]`

| Returns a description for an indexed image id. Add descriptions for new image ids here. Definition at line 393 of file DebugImages2.h.

bool Images::getDebugKeyID | ( | enum ImageID | imageID,
|  | DebugKeyTable::debugKeyID & | debugKeyID
| ) | `[inline, static]`

| Definition at line 419 of file DebugImages2.h.

The documentation for this class was generated from the following files:

- Tools/Debugging/DebugImages.h
- Tools/Debugging/DebugImages2.h